Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class Item

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.Item

Direct Known Subclasses:
  CheckBox, ListItem, RadioButton

public abstract class Item
extends XoplonCtrl

base class factory for ListItem, RadioButton, CheckBox

Constructor Summary
`Item()`

Method Summary
`protected static org.w3c.dom.Element` | `createItem(org.w3c.dom.Document doc, java.lang.String type)` factory function
`static java.lang.String` | `getValue(org.w3c.dom.Element element)` get the items value.
`static boolean` | `isSelected(org.w3c.dom.Element element)` select
`static void` | `setSelected(org.w3c.dom.Element element, boolean flag)` select
`static void` | `setValue(org.w3c.dom.Element element, java.lang.String value)` set the items value.

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Item

    public Item()

Method Detail

### setSelected

    public static void setSelected(org.w3c.dom.Element element,
                                   boolean flag)

  select

### isSelected

    public static boolean isSelected(org.w3c.dom.Element element)

  select

### createItem

    protected static org.w3c.dom.Element createItem(org.w3c.dom.Document doc,
                                                    java.lang.String type)

  factory function

### setValue

    public static void setValue(org.w3c.dom.Element element,
                                java.lang.String value)

  set the items value. Type and modelReference are properties of the parent (e.g. the ListBox itself)

### getValue

    public static java.lang.String getValue(org.w3c.dom.Element element)

  get the items value. Type and modelReference are properties of the parent (e.g. the ListBox itself)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD